Subject: bug#28254: 26.0.50; SRFI-2 and-let*

From: Michael Heerdegen <[email-masked]>
Date: Sat, 02 Sep 2017 07:25:07 +0200

Mark Oteiza <[email-masked]> writes:

> >> I didn't try writing it in the style of if-let*--perhaps if-let* could
> >> be extended and all three macros would learn (EXPR).
> >
> >Yes, I think it's best if all foo-let* macros interpret the varlist in
> >the same way.
>
> Alright, I'll look at it.

Isn't there a problem with EXPR being a symbol S, which already has a
different meaning (bind S to nil)?  Though, this seems barely useful to
me.  Anyway, introducing (EXPR) would thus be backward incompatible.

Michael.